qemu-block-curl-2.11.2-lp150.7.12.1.x86_64.rpm


Advertisement

Description

qemu-block-curl - cURL block support for QEMU

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Update Oss all
Package filename qemu-block-curl-2.11.2-lp150.7.12.1.x86_64.rpm
Package name qemu-block-curl
Package version 2.11.2
Package release lp150.7.12.1
Package architecture x86_64
Package type rpm
Category System/Emulators/PC
Homepage https://www.qemu.org/
License BSD-3-Clause AND GPL-2.0-only AND GPL-2.0-or-later AND LGPL-2.1-or-later AND MIT
Maintainer -
Download size 166.04 KB
Installed size 25.06 KB
This package contains a module for accessing network-based image files over
a network connection from qemu-img tool and QEMU system emulation.

Alternatives

Package Version Architecture Repository
qemu-block-curl-2.11.2-lp150.7.18.1.x86_64.rpm 2.11.2 x86_64 openSUSE Update Oss
qemu-block-curl-2.11.2-lp150.7.15.1.x86_64.rpm 2.11.2 x86_64 openSUSE Update Oss
qemu-block-curl-2.11.2-lp150.7.9.1.x86_64.rpm 2.11.2 x86_64 openSUSE Update Oss
qemu-block-curl-2.11.2-lp150.7.6.1.x86_64.rpm 2.11.2 x86_64 openSUSE Update Oss
qemu-block-curl-2.11.1-lp150.7.3.1.x86_64.rpm 2.11.1 x86_64 openSUSE Update Oss
qemu-block-curl-2.11.1-lp150.6.7.x86_64.rpm 2.11.1 x86_64 openSUSE Oss
qemu-block-curl - - -

Requires

Name Value
libc.so.6(GLIBC_2.14)(64bit) -
libcurl.so.4()(64bit) -
libglib-2.0.so.0()(64bit) -

Provides

Name Value
qemu-block-curl = 2.11.2-lp150.7.12.1
qemu-block-curl(x86-64) = 2.11.2-lp150.7.12.1
qemu:/usr/lib64/qemu/block-curl.so -

Conflicts

Name Value
qemu < 2.11.2-lp150.7.12.1
qemu > 2.11.2-lp150.7.12.1
qemu-tools < 2.11.2-lp150.7.12.1
qemu-tools > 2.11.2-lp150.7.12.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package qemu-block-curl-2.11.2-lp150.7.12.1.x86_64.rpm
Source Package qemu-2.11.2-lp150.7.12.1.src.rpm

Install Howto

Install qemu-block-curl rpm package:

# zypper install qemu-block-curl

Files

Path
/usr/lib64/qemu/block-curl.so

Changelog

2018-11-05 - Bruce Rogers <brogers@suse.com>
- Address the following security vulnerabilities:
* Avoid OOB access in restoring lsi53c895a emulated SCSI controller
state (CVE-2018-18849 bsc#1114422)
0089-lsi53c895a-check-message-length-val.patch
* Avoid OOB access in NVM Express Controller emulation
(CVE-2018-16847 bsc#1114529)
0090-nvme-fix-oob-access-issue-CVE-2018-.patch
- Tweak spec file url's to match today's reality
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE15
2018-10-29 - Larry Dewey <ldewey@suse.com>
* Pulling upstream security fixes for NE2000, RTL8139, pcnet, and packet size
changes (CVE-2018-10839 CVE-2018-17958 CVE-2018-17962 CVE-2018-17963
bsc#1110910 bsc#1111006 bsc#1111010 bsc#1111013)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE15
* Patches added:
0085-ne2000-fix-possible-out-of-bound-ac.patch
0086-rtl8139-fix-possible-out-of-bound-a.patch
0087-pcnet-fix-possible-buffer-overflow.patch
0088-net-ignore-packet-size-greater-than.patch
2018-10-19 - Bruce Rogers <brogers@suse.com>
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE15
* Patches added:
0084-linux-user-init_guest_space-Try-to-.patch
2018-10-05 - Bruce Rogers <brogers@suse.com>
- Change spec file http references to https
2018-10-04 - Larry Dewey <ldewey@suse.com>
- Adding Changes to mitigate seccomp vulnerability
part 2 (CVE-2018-15746 bsc#1106222)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE15
* Patches added:
0082-sandbox-disable-sandbox-if-CONFIG_S.patch
0083-seccomp-check-TSYNC-host-capability.patch
2018-09-21 - Bruce Rogers <brogers@suse.com>
- Correct some versioning as follows:
* Accurately reflect the qemu-ipxe package version value by adding
"+" at the end
* Don't overwrite seabios .version file, since now (for quite some
time actually) upstream tarball creation creates this file and
the value we are writing to it is actually wrong
2018-09-13 - fli@suse.com
- In order to improve spectre mitigation for s390x, add a new feature
in the QEMU cpu model to provide the etoken cpu feature for guests
(bsc#1107489)
* Patches added:
0080-linux-headers-update.patch
0081-s390x-kvm-add-etoken-facility.patch
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE15
2018-09-07 - Larry Dewey <ldewey@suse.com>
- Adding Changes to mitigate seccomp vulnerability
(CVE-2018-15746 bsc#1106222).
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE15
* Patches added:
0076-seccomp-allow-sched_setscheduler-wi.patch
0077-seccomp-prefer-SCMP_ACT_KILL_PROCES.patch
0078-configure-require-libseccomp-2.2.0.patch
0079-seccomp-set-the-seccomp-filter-to-a.patch
2018-08-22 - brogers@suse.com
- Fix (again) the qemu guest agent udev rule file, which got unfixed
in a series of unfortunate events (bsc#1094898 and now bsc#1105279)
2018-08-15 - brogers@provo.novell.com
- Based on latest upstream qemu, mark additional deprecations in
support doc.

See Also

Package Description
qemu-block-dmg-2.11.1-lp150.7.3.1.x86_64.rpm DMG block support for QEMU
qemu-block-dmg-2.11.2-lp150.7.12.1.x86_64.rpm DMG block support for QEMU
qemu-block-dmg-2.11.2-lp150.7.15.1.x86_64.rpm DMG block support for QEMU
qemu-block-dmg-2.11.2-lp150.7.18.1.x86_64.rpm DMG block support for QEMU
qemu-block-dmg-2.11.2-lp150.7.6.1.x86_64.rpm DMG block support for QEMU
qemu-block-dmg-2.11.2-lp150.7.9.1.x86_64.rpm DMG block support for QEMU
qemu-block-gluster-2.11.1-lp150.7.3.1.x86_64.rpm GlusterFS block support for QEMU
qemu-block-gluster-2.11.2-lp150.7.12.1.x86_64.rpm GlusterFS block support for QEMU
qemu-block-gluster-2.11.2-lp150.7.15.1.x86_64.rpm GlusterFS block support for QEMU
qemu-block-gluster-2.11.2-lp150.7.18.1.x86_64.rpm GlusterFS block support for QEMU
qemu-block-gluster-2.11.2-lp150.7.6.1.x86_64.rpm GlusterFS block support for QEMU
qemu-block-gluster-2.11.2-lp150.7.9.1.x86_64.rpm GlusterFS block support for QEMU
qemu-block-iscsi-2.11.1-lp150.7.3.1.x86_64.rpm iSCSI block support for QEMU
qemu-block-iscsi-2.11.2-lp150.7.12.1.x86_64.rpm iSCSI block support for QEMU
qemu-block-iscsi-2.11.2-lp150.7.15.1.x86_64.rpm iSCSI block support for QEMU
Advertisement
Advertisement